summaryrefslogtreecommitdiff
path: root/package/atftp/ipkg/files
diff options
context:
space:
mode:
authorwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
committerwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
commit219a6dab8995aad9ac4860cc1a84d6f3509a03a4 (patch)
treeb9c0f3c43aebba2fcfef777592d0add39f2072f4 /package/atftp/ipkg/files
Initial import
Diffstat (limited to 'package/atftp/ipkg/files')
-rwxr-xr-xpackage/atftp/ipkg/files/postinst8
1 files changed, 8 insertions, 0 deletions
diff --git a/package/atftp/ipkg/files/postinst b/package/atftp/ipkg/files/postinst
new file mode 100755
index 000000000..35a2c3b36
--- /dev/null
+++ b/package/atftp/ipkg/files/postinst
@@ -0,0 +1,8 @@
+#!/usr/bin/env mksh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "tftp 69/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp 69/udp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/udp" >>${IPKG_INSTROOT}/etc/services
+fi